Name:           celluloid
Version:        0.23
Release:        %autorelease
Summary:        Simple GTK+ frontend for mpv
License:        GPLv3+
URL:            https://celluloid-player.github.io
Source:         https://github.com/celluloid-player/celluloid/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gcc

# src/meson.build
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(mpv)
BuildRequires:  pkgconfig(epoxy)

# po/meson.build
BuildRequires:  /usr/bin/msgfmt

# data/meson.build
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate
BuildRequires:  /usr/bin/glib-compile-schemas

# for ownership of /usr/share/icons/hicolor
Requires:       hicolor-icon-theme


%description
Celluloid (formerly GNOME MPV) is a simple GTK+ frontend for mpv.  Celluloid
interacts with mpv via the client API exported by libmpv, allowing access to
mpv's powerful playback capabilities.


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/io.github.celluloid_player.Celluloid.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/io.github.celluloid_player.Celluloid.appdata.xml


%files -f %{name}.lang
%license COPYING
%{_bindir}/celluloid
%{_mandir}/man1/celluloid.1*
%{_datadir}/applications/io.github.celluloid_player.Celluloid.desktop
%{_metainfodir}/io.github.celluloid_player.Celluloid.appdata.xml
%{_datadir}/dbus-1/services/io.github.celluloid_player.Celluloid.service
%{_datadir}/glib-2.0/schemas/io.github.GnomeMpv.gschema.xml
%{_datadir}/glib-2.0/schemas/io.github.celluloid_player.Celluloid.gschema.xml
%{_datadir}/icons/hicolor/*/apps/io.github.celluloid_player.Celluloid*.svg


%changelog
%autochangelog
